libzypp 17.37.10

zypp::Locks::Impl Class Reference

## Public Member Functions
bool | mergeList (callback::SendReport< SavingLocksReport > &report)
| Impl ()
const LockSet & | locks () const
LockSet & | MANIPlocks ()
const LockList & | APIlocks () const

## Public Attributes
LockSet | toAdd
LockSet | toRemove
bool | locksDirty

## Private Attributes
LockSet | _locks
LockList | _APIlocks
bool | _APIdirty

## Detailed Description

Definition at line 59 of file Locks.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::Locks::Impl::Impl | ( |  | ) |
| inline

Definition at line 68 of file Locks.cc.

## Member Function Documentation

## ◆ mergeList()

bool zypp::Locks::Impl::mergeList | ( | callback::SendReport< SavingLocksReport > & | report | ) |

Definition at line 422 of file Locks.cc.

## ◆ locks()

const LockSet & zypp::Locks::Impl::locks | ( |  | ) | const
| inline

Definition at line 76 of file Locks.cc.

## ◆ MANIPlocks()

LockSet & zypp::Locks::Impl::MANIPlocks | ( |  | ) |
| inline

Definition at line 79 of file Locks.cc.

## ◆ APIlocks()

const LockList & zypp::Locks::Impl::APIlocks | ( |  | ) | const
| inline

Definition at line 82 of file Locks.cc.

## Member Data Documentation

## ◆ toAdd

LockSet zypp::Locks::Impl::toAdd

Definition at line 62 of file Locks.cc.

## ◆ toRemove

LockSet zypp::Locks::Impl::toRemove

Definition at line 63 of file Locks.cc.

## ◆ locksDirty

bool zypp::Locks::Impl::locksDirty

Definition at line 64 of file Locks.cc.

## ◆ _locks

LockSet zypp::Locks::Impl::_locks
| private

Definition at line 95 of file Locks.cc.

## ◆ _APIlocks

LockList zypp::Locks::Impl::_APIlocks
| mutable private

Definition at line 96 of file Locks.cc.

## ◆ _APIdirty

bool zypp::Locks::Impl::_APIdirty
| mutable private

Definition at line 97 of file Locks.cc.

The documentation for this class was generated from the following file:

- zypp/Locks.cc